using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace Weigelt.Windows.Forms
{
	/// <summary>
	/// Cell type for displaying and editing text, where in edit mode
	/// the text caret is "caught" inside the text box.
	/// </summary>
	/// <seealso cref="CustomDataGridViewTextBoxEditingControl"/>
	public class CustomDataGridViewTextBoxCell : DataGridViewTextBoxCell
	{
		/// <summary>
		/// Gets the type of the cell's hosted editing control.
		/// </summary>
		/// <value></value>
		/// <returns>A <see cref="T:System.Type"></see> representing the <see cref="CustomDataGridViewTextBoxEditingControl"></see> type.</returns>
		public override Type EditType
		{
			get { return typeof( CustomDataGridViewTextBoxEditingControl ); }
		}

		/// <summary>
		/// Initializes a new instance of the <see cref="CustomDataGridViewTextBoxCell"/> class.
		/// </summary>
		public CustomDataGridViewTextBoxCell()
		{
		}
	}
}
